org.apache.catalina.storeconfig

## Class PersistentManagerSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.PersistentManagerSF

- All Implemented Interfaces:
    IStoreFactory

      public class PersistentManagerSF
      extends StoreFactoryBase

  store server.xml PersistentManager element with nested "Store"

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentManagerSF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aManager, StoreDescription parentDesc)` Store the specified PersistentManager properties.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentManagerSF

          public PersistentManagerSF()

  - ### Method Detail

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                           int indent,
                           Object aManager,
                           StoreDescription parentDesc)
                             throws Exception

      Store the specified PersistentManager properties.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aManager` - PersistentManager whose properties are being stored
        `parentDesc` - The element description
      Throws:
        `Exception` - if an exception occurs while storing

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.